import { DataState,FieldInfo } from 'model-util-base'
/**
 * @author auto generate
 * @version 1.2
 * @date 2020-12-29 15:31
 */
export interface BusOrder{
    /**
    * 
    * @type { string }
    */
    orderNo?: string;
    /**
    * 
    * @type { string }
    */
    appId?: string;
    /**
    * 
    * @type { string }
    */
    userId?: string;
    /**
    * 
    * @type { string }
    */
    openId?: string;
    /**
    * 入口APPID
    * @type { string }
    */
    enterAppId?: string;
    /**
    * 
    * @type { string }
    */
    enterOpenId?: string;
    /**
    * 
    * @type { string }
    */
    mchId?: string;
    /**
    * 
    * @type { string }
    */
    subMchId?: string;
    /**
    * 
    * @type { string }
    */
    transactionId?: string;
    /**
    * 
    * @type { string }
    */
    orderCategory?: string;
    /**
    * 支付方式 00 微信支付 01  免密支付 02 VIP支付 03 停车币
    * @type { string }
    */
    paymentMethod?: string;
    /**
    * 银行卡类型
    * @type { string }
    */
    bankType?: string;
    /**
    * 订单支付来源：00:微信/01:支付宝/02:H5/03:APP
    * @type { string }
    */
    origin?: string;
    /**
    * 
    * @type { string }
    */
    lotOrderId?: string;
    /**
    * 
    * @type { string }
    */
    lotId?: string;
    /**
    * 
    * @type { string }
    */
    carPlateNum?: string;
    /**
    * 
    * @type { string }
    */
    activityId?: string;
    /**
    * 
    * @type { string }
    */
    couponInfoId?: string;
    /**
    * 车场金额额
    * @type { number }
    */
    parkingTotalFee?: number;
    /**
    * 
    * @type { number }
    */
    totalFee?: number;
    /**
    * 优惠费用主体
    * @type { string }
    */
    couponSubject?: string;
    /**
    * 
    * @type { number }
    */
    couponFee?: number;
    /**
    * 
    * @type { number }
    */
    cashFee?: number;
    /**
    * 
    * @type { string }
    */
    comeTime?: string;
    /**
    * 
    * @type { string }
    */
    carImage?: string;
    /**
    * 
    * @type { string }
    */
    outTime?: string;
    /**
    * 分钟
    * @type { number }
    */
    parkingTime?: number;
    /**
    * 
    * @type { Date }
    */
    payTime?: Date;
    /**
    * 
    * @type { string }
    */
    leaveTime?: string;
    /**
    * 预付费ID
    * @type { string }
    */
    prepayId?: string;
    /**
    * 
    * @type { string }
    */
    attach?: string;
    /**
    * 
    * @type { string }
    */
    remark?: string;
    /**
    * 是否删除 Y：是，N：否
    * @type { string }
    */
    isDeleted?: string;
    /**
    * 
    * @type { string }
    */
    sendType?: string;
    /**
    * 00:已支付,01:未支付,02:支付失败
    * @type { string }
    */
    tradeState?: string;
    /**
    * 
    * @type { string }
    */
    refundState?: string;
    /**
    * 
    * @type { string }
    */
    sendState?: string;
    /**
    * 分区ID
    * @type { string }
    */
    regionId?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export class BusOrderMI{ 
    static get ORDER_NO(): FieldInfo{  
        return new FieldInfo('orderNo','');
    }
    static get APP_ID(): FieldInfo{  
        return new FieldInfo('appId','');
    }
    static get USER_ID(): FieldInfo{  
        return new FieldInfo('userId','');
    }
    static get OPEN_ID(): FieldInfo{  
        return new FieldInfo('openId','');
    }
    static get ENTER_APP_ID(): FieldInfo{  
        return new FieldInfo('enterAppId','入口APPID');
    }
    static get ENTER_OPEN_ID(): FieldInfo{  
        return new FieldInfo('enterOpenId','');
    }
    static get MCH_ID(): FieldInfo{  
        return new FieldInfo('mchId','');
    }
    static get SUB_MCH_ID(): FieldInfo{  
        return new FieldInfo('subMchId','');
    }
    static get TRANSACTION_ID(): FieldInfo{  
        return new FieldInfo('transactionId','');
    }
    static get ORDER_CATEGORY(): FieldInfo{  
        return new FieldInfo('orderCategory','');
    }
    static get PAYMENT_METHOD(): FieldInfo{  
        return new FieldInfo('paymentMethod','支付方式 00 微信支付 01  免密支付 02 VIP支付 03 停车币');
    }
    static get BANK_TYPE(): FieldInfo{  
        return new FieldInfo('bankType','银行卡类型');
    }
    static get ORIGIN(): FieldInfo{  
        return new FieldInfo('origin','订单支付来源：00:微信/01:支付宝/02:H5/03:APP');
    }
    static get LOT_ORDER_ID(): FieldInfo{  
        return new FieldInfo('lotOrderId','');
    }
    static get LOT_ID(): FieldInfo{  
        return new FieldInfo('lotId','');
    }
    static get CAR_PLATE_NUM(): FieldInfo{  
        return new FieldInfo('carPlateNum','');
    }
    static get ACTIVITY_ID(): FieldInfo{  
        return new FieldInfo('activityId','');
    }
    static get COUPON_INFO_ID(): FieldInfo{  
        return new FieldInfo('couponInfoId','');
    }
    static get PARKING_TOTAL_FEE(): FieldInfo{  
        return new FieldInfo('parkingTotalFee','车场金额额');
    }
    static get TOTAL_FEE(): FieldInfo{  
        return new FieldInfo('totalFee','');
    }
    static get COUPON_SUBJECT(): FieldInfo{  
        return new FieldInfo('couponSubject','优惠费用主体');
    }
    static get COUPON_FEE(): FieldInfo{  
        return new FieldInfo('couponFee','');
    }
    static get CASH_FEE(): FieldInfo{  
        return new FieldInfo('cashFee','');
    }
    static get COME_TIME(): FieldInfo{  
        return new FieldInfo('comeTime','');
    }
    static get CAR_IMAGE(): FieldInfo{  
        return new FieldInfo('carImage','');
    }
    static get OUT_TIME(): FieldInfo{  
        return new FieldInfo('outTime','');
    }
    static get PARKING_TIME(): FieldInfo{  
        return new FieldInfo('parkingTime','分钟');
    }
    static get PAY_TIME(): FieldInfo{  
        return new FieldInfo('payTime','');
    }
    static get LEAVE_TIME(): FieldInfo{  
        return new FieldInfo('leaveTime','');
    }
    static get PREPAY_ID(): FieldInfo{  
        return new FieldInfo('prepayId','预付费ID');
    }
    static get ATTACH(): FieldInfo{  
        return new FieldInfo('attach','');
    }
    static get REMARK(): FieldInfo{  
        return new FieldInfo('remark','');
    }
    static get IS_DELETED(): FieldInfo{  
        return new FieldInfo('isDeleted','是否删除 Y：是，N：否');
    }
    static get SEND_TYPE(): FieldInfo{  
        return new FieldInfo('sendType','');
    }
    static get TRADE_STATE(): FieldInfo{  
        return new FieldInfo('tradeState','00:已支付,01:未支付,02:支付失败');
    }
    static get REFUND_STATE(): FieldInfo{  
        return new FieldInfo('refundState','');
    }
    static get SEND_STATE(): FieldInfo{  
        return new FieldInfo('sendState','');
    }
    static get REGION_ID(): FieldInfo{  
        return new FieldInfo('regionId','分区ID');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
}


/**
 * @author auto generate
 * @version 1.2
 * @date 2020-12-29 15:31
 */
export interface WbRegisterEvent{
    /**
    * 
    * @type { number }
    */
    id?: number;
    /**
    * 
    * @type { string }
    */
    outerUserId?: string;
    /**
    * 
    * @type { string }
    */
    userAction?: string;
    /**
    * 
    * @type { string }
    */
    actionTime?: string;
    /**
    * 
    * @type { string }
    */
    outerData?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export class WbRegisterEventMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','');
    }
    static get OUTER_USER_ID(): FieldInfo{  
        return new FieldInfo('outerUserId','');
    }
    static get USER_ACTION(): FieldInfo{  
        return new FieldInfo('userAction','');
    }
    static get ACTION_TIME(): FieldInfo{  
        return new FieldInfo('actionTime','');
    }
    static get OUTER_DATA(): FieldInfo{  
        return new FieldInfo('outerData','');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
}


/**
 * @author auto generate
 * @version 1.2
 * @date 2020-12-29 15:31
 */
export interface BusParkingLot{
    /**
    * 
    * @type { string }
    */
    lotId?: string;
    /**
    * 
    * @type { string }
    */
    groupId?: string;
    /**
    * 
    * @type { string }
    */
    lotCode?: string;
    /**
    * 
    * @type { string }
    */
    lotName?: string;
    /**
    * 
    * @type { string }
    */
    logoUrl?: string;
    /**
    * 
    * @type { number }
    */
    totalSpace?: number;
    /**
    * 
    * @type { string }
    */
    funcFlag?: string;
    /**
    * 
    * @type { string }
    */
    keyword?: string;
    /**
    * 
    * @type { string }
    */
    description?: string;
    /**
    * 交易手续费,百分比
    * @type { number }
    */
    tradeFee?: number;
    /**
    * 
    * @type { string }
    */
    contact?: string;
    /**
    * 
    * @type { string }
    */
    contactInfo?: string;
    /**
    * 
    * @type { string }
    */
    provId?: string;
    /**
    * 
    * @type { string }
    */
    cityId?: string;
    /**
    * 
    * @type { string }
    */
    districtId?: string;
    /**
    * 
    * @type { string }
    */
    lotNatureCode?: string;
    /**
    * 
    * @type { string }
    */
    address?: string;
    /**
    * 
    * @type { string }
    */
    useMap?: string;
    /**
    * 
    * @type { string }
    */
    longitude?: string;
    /**
    * 
    * @type { string }
    */
    latitude?: string;
    /**
    * 
    * @type { string }
    */
    useSuperpark?: string;
    /**
    * 
    * @type { string }
    */
    useKeytop?: string;
    /**
    * 
    * @type { string }
    */
    useSubMer?: string;
    /**
    * 
    * @type { string }
    */
    superparkSubAcct?: string;
    /**
    * 
    * @type { string }
    */
    keytopSubAcct?: string;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
    /**
    * 操作人
    * @type { string }
    */
    operator?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 
    * @type { string }
    */
    superparkSubAppid?: string;
    /**
    * 
    * @type { boolean }
    */
    enableNews?: boolean;
    /**
    * 
    * @type { string }
    */
    newsTemplate?: string;
    /**
    * 
    * @type { string }
    */
    keytopSubAppid?: string;
    /**
    * 
    * @type { string }
    */
    payUrl?: string;
    /**
    * 
    * @type { string }
    */
    payQrCodeUrl?: string;
    /**
    * 共用二维码地址
    * @type { string }
    */
    shareQrCodeUrl?: string;
    /**
    * 
    * @type { boolean }
    */
    enableCallback?: boolean;
    /**
    * 
    * @type { string }
    */
    payCallbackUrl?: string;
    /**
    * 禁止速停车查询
    * @type { boolean }
    */
    disableStcQuery?: boolean;
    /**
    * 禁止API查询
    * @type { boolean }
    */
    disableApiQuery?: boolean;
    /**
    * 是否支持缴费
    * @type { boolean }
    */
    enablePayment?: boolean;
    /**
    * 
    * @type { boolean }
    */
    enableRefund?: boolean;
    /**
    * 是否启用后付费
    * @type { boolean }
    */
    enablePostPaid?: boolean;
    /**
    * 是否启用入场消息推送
    * @type { boolean }
    */
    enableComeMsgPush?: boolean;
    /**
    * 是否启用车位消息推送
    * @type { boolean }
    */
    enableLocationMsgPush?: boolean;
    /**
    * 是否开启自定义按钮
    * @type { boolean }
    */
    enableCustomBtn?: boolean;
    /**
    * 是否开启锁车功能
    * @type { boolean }
    */
    enableLockCar?: boolean;
    /**
    * TCP 0/MQ 1
    * @type { string }
    */
    lotSyncChannel?: string;
    /**
    * 是否支持热门车场
    * @type { string }
    */
    isHot?: string;
    /**
    * 车场本地ID
    * @type { string }
    */
    clientId?: string;
    /**
    * 
    * @type { string }
    */
    closeTip?: string;
    /**
    * 
    * @type { string }
    */
    ordQueryBtmHtml?: string;
    /**
    * 在订单支付成功页面显示的自定义HTML
    * @type { string }
    */
    ordSuccessHtml?: string;
    /**
    * 
    * @type { boolean }
    */
    isFarewellWord?: boolean;
}
export class BusParkingLotMI{ 
    static get LOT_ID(): FieldInfo{  
        return new FieldInfo('lotId','');
    }
    static get GROUP_ID(): FieldInfo{  
        return new FieldInfo('groupId','');
    }
    static get LOT_CODE(): FieldInfo{  
        return new FieldInfo('lotCode','');
    }
    static get LOT_NAME(): FieldInfo{  
        return new FieldInfo('lotName','');
    }
    static get LOGO_URL(): FieldInfo{  
        return new FieldInfo('logoUrl','');
    }
    static get TOTAL_SPACE(): FieldInfo{  
        return new FieldInfo('totalSpace','');
    }
    static get FUNC_FLAG(): FieldInfo{  
        return new FieldInfo('funcFlag','');
    }
    static get KEYWORD(): FieldInfo{  
        return new FieldInfo('keyword','');
    }
    static get DESCRIPTION(): FieldInfo{  
        return new FieldInfo('description','');
    }
    static get TRADE_FEE(): FieldInfo{  
        return new FieldInfo('tradeFee','交易手续费,百分比');
    }
    static get CONTACT(): FieldInfo{  
        return new FieldInfo('contact','');
    }
    static get CONTACT_INFO(): FieldInfo{  
        return new FieldInfo('contactInfo','');
    }
    static get PROV_ID(): FieldInfo{  
        return new FieldInfo('provId','');
    }
    static get CITY_ID(): FieldInfo{  
        return new FieldInfo('cityId','');
    }
    static get DISTRICT_ID(): FieldInfo{  
        return new FieldInfo('districtId','');
    }
    static get LOT_NATURE_CODE(): FieldInfo{  
        return new FieldInfo('lotNatureCode','');
    }
    static get ADDRESS(): FieldInfo{  
        return new FieldInfo('address','');
    }
    static get USE_MAP(): FieldInfo{  
        return new FieldInfo('useMap','');
    }
    static get LONGITUDE(): FieldInfo{  
        return new FieldInfo('longitude','');
    }
    static get LATITUDE(): FieldInfo{  
        return new FieldInfo('latitude','');
    }
    static get USE_SUPERPARK(): FieldInfo{  
        return new FieldInfo('useSuperpark','');
    }
    static get USE_KEYTOP(): FieldInfo{  
        return new FieldInfo('useKeytop','');
    }
    static get USE_SUB_MER(): FieldInfo{  
        return new FieldInfo('useSubMer','');
    }
    static get SUPERPARK_SUB_ACCT(): FieldInfo{  
        return new FieldInfo('superparkSubAcct','');
    }
    static get KEYTOP_SUB_ACCT(): FieldInfo{  
        return new FieldInfo('keytopSubAcct','');
    }
    static get REMARK(): FieldInfo{  
        return new FieldInfo('remark','备注');
    }
    static get OPERATOR(): FieldInfo{  
        return new FieldInfo('operator','操作人');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
    static get SUPERPARK_SUB_APPID(): FieldInfo{  
        return new FieldInfo('superparkSubAppid','');
    }
    static get ENABLE_NEWS(): FieldInfo{  
        return new FieldInfo('enableNews','');
    }
    static get NEWS_TEMPLATE(): FieldInfo{  
        return new FieldInfo('newsTemplate','');
    }
    static get KEYTOP_SUB_APPID(): FieldInfo{  
        return new FieldInfo('keytopSubAppid','');
    }
    static get PAY_URL(): FieldInfo{  
        return new FieldInfo('payUrl','');
    }
    static get PAY_QR_CODE_URL(): FieldInfo{  
        return new FieldInfo('payQrCodeUrl','');
    }
    static get SHARE_QR_CODE_URL(): FieldInfo{  
        return new FieldInfo('shareQrCodeUrl','共用二维码地址');
    }
    static get ENABLE_CALLBACK(): FieldInfo{  
        return new FieldInfo('enableCallback','');
    }
    static get PAY_CALLBACK_URL(): FieldInfo{  
        return new FieldInfo('payCallbackUrl','');
    }
    static get DISABLE_STC_QUERY(): FieldInfo{  
        return new FieldInfo('disableStcQuery','禁止速停车查询');
    }
    static get DISABLE_API_QUERY(): FieldInfo{  
        return new FieldInfo('disableApiQuery','禁止API查询');
    }
    static get ENABLE_PAYMENT(): FieldInfo{  
        return new FieldInfo('enablePayment','是否支持缴费');
    }
    static get ENABLE_REFUND(): FieldInfo{  
        return new FieldInfo('enableRefund','');
    }
    static get ENABLE_POST_PAID(): FieldInfo{  
        return new FieldInfo('enablePostPaid','是否启用后付费');
    }
    static get ENABLE_COME_MSG_PUSH(): FieldInfo{  
        return new FieldInfo('enableComeMsgPush','是否启用入场消息推送');
    }
    static get ENABLE_LOCATION_MSG_PUSH(): FieldInfo{  
        return new FieldInfo('enableLocationMsgPush','是否启用车位消息推送');
    }
    static get ENABLE_CUSTOM_BTN(): FieldInfo{  
        return new FieldInfo('enableCustomBtn','是否开启自定义按钮');
    }
    static get ENABLE_LOCK_CAR(): FieldInfo{  
        return new FieldInfo('enableLockCar','是否开启锁车功能');
    }
    static get LOT_SYNC_CHANNEL(): FieldInfo{  
        return new FieldInfo('lotSyncChannel','TCP 0/MQ 1');
    }
    static get IS_HOT(): FieldInfo{  
        return new FieldInfo('isHot','是否支持热门车场');
    }
    static get CLIENT_ID(): FieldInfo{  
        return new FieldInfo('clientId','车场本地ID');
    }
    static get CLOSE_TIP(): FieldInfo{  
        return new FieldInfo('closeTip','');
    }
    static get ORD_QUERY_BTM_HTML(): FieldInfo{  
        return new FieldInfo('ordQueryBtmHtml','');
    }
    static get ORD_SUCCESS_HTML(): FieldInfo{  
        return new FieldInfo('ordSuccessHtml','在订单支付成功页面显示的自定义HTML');
    }
    static get IS_FAREWELL_WORD(): FieldInfo{  
        return new FieldInfo('isFarewellWord','');
    }
}


/**
 * @author auto generate
 * @version 1.2
 * @date 2020-12-29 15:31
 */
export interface WbAdBlackLot{
    /**
    * 
    * @type { number }
    */
    id?: number;
    /**
    * 
    * @type { string }
    */
    position?: string;
    /**
    * 
    * @type { string }
    */
    lotId?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export class WbAdBlackLotMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','');
    }
    static get POSITION(): FieldInfo{  
        return new FieldInfo('position','');
    }
    static get LOT_ID(): FieldInfo{  
        return new FieldInfo('lotId','');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
}


/**
 * @author auto generate
 * @version 1.2
 * @date 2020-12-29 15:31
 */
export interface BusBlackLot{
    /**
    * 车场ID
    * @type { string }
    */
    lotId?: string;
    /**
    * 01:广告投放 02: 无感按钮 03：我已离场
    * @type { string }
    */
    code?: string;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export class BusBlackLotMI{ 
    static get LOT_ID(): FieldInfo{  
        return new FieldInfo('lotId','车场ID');
    }
    static get CODE(): FieldInfo{  
        return new FieldInfo('code','01:广告投放 02: 无感按钮 03：我已离场');
    }
    static get REMARK(): FieldInfo{  
        return new FieldInfo('remark','备注');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
}


/**
 * @author auto generate
 * @version 1.2
 * @date 2020-12-29 15:31
 */
export interface WbAdDeliveryProv{
    /**
    * 
    * @type { number }
    */
    id?: number;
    /**
    * 
    * @type { number }
    */
    configId?: number;
    /**
    * 
    * @type { string }
    */
    provId?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
}
export class WbAdDeliveryProvMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','');
    }
    static get CONFIG_ID(): FieldInfo{  
        return new FieldInfo('configId','');
    }
    static get PROV_ID(): FieldInfo{  
        return new FieldInfo('provId','');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
}


/**
 * @author auto generate
 * @version 1.2
 * @date 2020-12-29 15:31
 */
export interface WbAdConfig{
    /**
    * 
    * @type { string }
    */
    adId?: string;
    /**
    * 
    * @type { string }
    */
    position?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 
    * @type { number }
    */
    id?: number;
    /**
    * 子表 WbAdDeliveryProv 
    * @type { WbAdDeliveryProv[] }
    */
    wbAdDeliveryProv?:WbAdDeliveryProv[];

    /**
    * 数据状态 
    * @type { DataState }
    */
    _state?: DataState;
}
export class WbAdConfigMI{ 
    static get AD_ID(): FieldInfo{  
        return new FieldInfo('adId','');
    }
    static get POSITION(): FieldInfo{  
        return new FieldInfo('position','');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','更新时间');
    }
    static get ID(): FieldInfo{  
        return new FieldInfo('id','');
    }
}


/**
 * @author auto generate
 * @version 1.2
 * @date 2020-12-29 15:31
 */
export interface PpUser{
    /**
    * 唯一标识
    * @type { string }
    */
    id?: string;
    /**
    * 用户昵称
    * @type { string }
    */
    nickName?: string;
    /**
    * 用户头像
    * @type { string }
    */
    avatar?: string;
    /**
    * 联系电话
    * @type { string }
    */
    phone?: string;
    /**
    * 邮箱
    * @type { string }
    */
    email?: string;
    /**
    * 性别
    * @type { string }
    */
    gender?: string;
    /**
    * 普通车牌号
    * @type { string }
    */
    commonLpn?: string;
    /**
    * 绑定车牌号
    * @type { string }
    */
    bindedLpn?: string;
    /**
    * 省份ID
    * @type { string }
    */
    provId?: string;
    /**
    * 城市ID
    * @type { string }
    */
    cityId?: string;
    /**
    * 区县ID
    * @type { string }
    */
    districtId?: string;
    /**
    * 备用字段1
    * @type { string }
    */
    spareField1?: string;
    /**
    * 备用字段2
    * @type { string }
    */
    spareField2?: string;
    /**
    * 备用字段3
    * @type { string }
    */
    spareField3?: string;
    /**
    * 备用字段4
    * @type { string }
    */
    spareField4?: string;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 
    * @type { Date }
    */
    updateTime?: Date;
}
export class PpUserMI{ 
    static get ID(): FieldInfo{  
        return new FieldInfo('id','唯一标识');
    }
    static get NICK_NAME(): FieldInfo{  
        return new FieldInfo('nickName','用户昵称');
    }
    static get AVATAR(): FieldInfo{  
        return new FieldInfo('avatar','用户头像');
    }
    static get PHONE(): FieldInfo{  
        return new FieldInfo('phone','联系电话');
    }
    static get EMAIL(): FieldInfo{  
        return new FieldInfo('email','邮箱');
    }
    static get GENDER(): FieldInfo{  
        return new FieldInfo('gender','性别');
    }
    static get COMMON_LPN(): FieldInfo{  
        return new FieldInfo('commonLpn','普通车牌号');
    }
    static get BINDED_LPN(): FieldInfo{  
        return new FieldInfo('bindedLpn','绑定车牌号');
    }
    static get PROV_ID(): FieldInfo{  
        return new FieldInfo('provId','省份ID');
    }
    static get CITY_ID(): FieldInfo{  
        return new FieldInfo('cityId','城市ID');
    }
    static get DISTRICT_ID(): FieldInfo{  
        return new FieldInfo('districtId','区县ID');
    }
    static get SPARE_FIELD_1(): FieldInfo{  
        return new FieldInfo('spareField1','备用字段1');
    }
    static get SPARE_FIELD_2(): FieldInfo{  
        return new FieldInfo('spareField2','备用字段2');
    }
    static get SPARE_FIELD_3(): FieldInfo{  
        return new FieldInfo('spareField3','备用字段3');
    }
    static get SPARE_FIELD_4(): FieldInfo{  
        return new FieldInfo('spareField4','备用字段4');
    }
    static get REMARK(): FieldInfo{  
        return new FieldInfo('remark','备注');
    }
    static get CREATE_TIME(): FieldInfo{  
        return new FieldInfo('createTime','创建时间');
    }
    static get UPDATE_TIME(): FieldInfo{  
        return new FieldInfo('updateTime','');
    }
}


